using Gtk;

/*External functions*/

class settings {
	public char * group_name;
	public bool managed_cdrom;
	public bool belongs_cdrom;

	public settings()
	{
		managed_cdrom = false;
	}
}

void read_config_to_struct (settings sets)
{
	var file = File.new_for_path ("profiles");
	string active_group;
	string active_type;
	string [] pair;

	if (!file.query_exists ()) {
		stderr.printf ("File '%s' doesn't exist.\n", file.get_path ());
		return;
	}
	try {
		var dis = new DataInputStream (file.read ());
		string line;
		while ((line = dis.read_line (null)) != null) {
			if (line[0] == '[') {//if group item
				if (line == "[groups]"){
					active_type = "group";
				} else if (line ==  "[gsettings]"){
					active_type = "gsettings";
				} else {
					stderr.printf("Unhandled type\n");
				}
				stdout.printf("Control %s\n", line);
				continue;
			} else {
				pair = line.split("=",2);
				stdout.printf ("Key “%s” and value “%s”\n", pair[0], pair[1]);
				switch (pair[0]){
					case "group name":
						active_group = pair[1];
						active_type = null;
						break;
					case "cdrom":
					sets.managed_cdrom = true;
					if (pair[1] == "yes")
						sets.belongs_cdrom = true;
					else
						sets.belongs_cdrom = false;
					stdout.printf("Was here\n");
					break;
				}
			}
			
		}
	} catch  (Error e) {
		error ("%s", e.message);
	}
	return;
}


public void on_check_cdrom_toggled (CheckButton main, CheckButton secondary ) {
	
	stdout.printf("Status of secondary is %s\n", (secondary.get_active()?"actice":"inactive"));

	try{
		
		
		Process.spawn_command_line_async ("touch success");
	} catch (Error e) {
		error ("%s", e.message);
	}
}

public void on_is_cdrom_toggled (CheckButton baba) {
//    stdout.printf ("Thanks!\n");
	return;
}

public void on_button1_clicked (Button dada){
     dada.label = "hm";
}

int main (string[] args) {     
    Gtk.init (ref args);

    try {
        // If the UI contains custom widgets, their types must've been instantiated once
        // Type type = typeof(Foo.BarEntry);
        // assert(type != 0);
        var builder = new Builder ();
        builder.add_from_file ("neue.glade");
        builder.connect_signals (null);
	
	var sets = new settings ();

	read_config_to_struct (sets);

	var check = builder.get_object ("is_cdrom") as CheckButton;
	check.active = sets.managed_cdrom;
	var check1 = builder.get_object ("check_cdrom") as CheckButton;
	check1.active = sets.belongs_cdrom;
	

        var window = builder.get_object ("window") as Window;
        window.show_all ();
        Gtk.main ();
    } catch (Error e) {
        stderr.printf ("Could not load UI: %s\n", e.message);
        return 1;
    } 

    return 0;
}
